org.eclipse.viatra.query.patternlanguage.emf.ui

## Class EclipseLogAppender

- java.lang.Object
- - org.apache.log4j.AppenderSkeleton
  - - org.eclipse.viatra.query.patternlanguage.emf.ui.EclipseLogAppender

- All Implemented Interfaces:
    org.apache.log4j.Appender, org.apache.log4j.spi.OptionHandler

      public class EclipseLogAppender
      extends org.apache.log4j.AppenderSkeleton

  Updated Eclipse LogAppender based on the implementation in org.eclipse.xtext.logger bundle.

- - ### Field Summary

    - ### Fields inherited from class org.apache.log4j.AppenderSkeleton

      `closed, errorHandler, headFilter, layout, name, tailFilter, threshold`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EclipseLogAppender()`
    `EclipseLogAppender(boolean isActive)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `append(org.apache.log4j.spi.LoggingEvent event)`
    `void` | `close()`
    `boolean` | `requiresLayout()`

    - ### Methods inherited from class org.apache.log4j.AppenderSkeleton

      `activateOptions, addFilter, clearFilters, doAppend, finalize, getErrorHandler, getFilter, getFirstFilter, getLayout, getName, getThreshold, isAsSevereAsThreshold, setErrorHandler, setLayout, setName, setThreshold`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EclipseLogAppender

          public EclipseLogAppender()

    - #### EclipseLogAppender

          public EclipseLogAppender(boolean isActive)

  - ### Method Detail

    - #### append

          protected void append(org.apache.log4j.spi.LoggingEvent event)

      Specified by:
        `append` in class `org.apache.log4j.AppenderSkeleton`

    - #### close

          public void close()

    - #### requiresLayout

          public boolean requiresLayout()